> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1authorizewhitelistcheck



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/authorize/whitelist/check
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/authorize/whitelist/check:
    get:
      tags:
        - User
      operationId: check_root_whitelist
      parameters:
        - name: root_address
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: root_public_key
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Whitelist status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootWhitelistResponse'
        '400':
          description: Bad request
components:
  schemas:
    RootWhitelistResponse:
      type: object
      required:
        - root_address
        - whitelisted
      properties:
        root_address:
          type: string
        whitelisted:
          type: boolean

````